Subject: Re: bug#18342: 24.3.93; jumping to compilation error location gives the wrong column

From: Filipp Gunbin <[email-masked]>
Date: Wed, 11 Mar 2015 03:19:42 +0300

On 06/03/2015 12:54 -0500, Stefan Monnier wrote:

>> Regarding `compilation-error-regexp-alist', the
>> `compilation-first-column' probably could be there, but then it should
>> be something like `compilation-compiler-var-alist' instead :)
>
> I tend to agree that the "first-column" info should probably be placed
> alongside the regexp (same for compilation-error-screen-columns, BTW).
>
>> There are unclear cases e.g. with maven: what if we use Oracle JDK which
>> outputs columns beginning with 0 and then change to another JDK which
>> outputs beginning with 1?  Would maven correct it's output?  I doubt so.
>> Then we should have two items in the alist: maven-oracle and maven-smth.
>
> Indeed, there are "hard" cases.  Luckily, column positions usually
> aren't so terribly important, so being off by a few chars is annoying
> but bearable.

It's even worse, as I've just discovered: we have a "checkstyle" plugin
for Maven which, yes, checks style.  And maven outputs its errors with
differently based column numbers (starting with one).  This and javac
invocation happens within one compilation, so it seems currently we have
no way of distinguishing between them and applying different settings.

Anyway, I'm closing this bug for now.

Filipp